# coding:utf8
import os
import xml.etree.ElementTree as ET
import logging
import re
import codecs

ANDROID_NAMESPACE = 'http://schemas.android.com/apk/res/android'
logger = logging.getLogger('script.py')


def script_second(workspace_sdk_dir, extract_dir, channel_sdk_info, new_game_channel_info, game_info):
    logging.info('script_second: ' + str(channel_sdk_info))
    # 逆向渠道id
    public_xml = os.path.join(extract_dir, "res/values/public.xml")
    a_list = ["a", "b", "c", "d", "e", "f", "g", "h", "j", "k", "l", "m", "n", "p", "r", "s", "t", "y", "z"]
    for a in a_list:
        handle_public_xml(public_xml, "smssdk_country_group_" + a)
    return


def handle_public_xml(public_xml_path, remove_node):
    if not os.path.exists(public_xml_path):
        logging.info('public_xml is null: ' + public_xml_path)
        return
    new_lines = []
    with open(public_xml_path, 'r+') as f:
        for line in f.readlines():
            # l = line.strip()
            if line.find(remove_node) > -1:
                continue
            new_lines.append(line)
        f.seek(0)
        f.truncate()
        f.writelines(new_lines)
    return


if __name__ == '__main__':
    ""
    # script_last('', 'E:/script_test', {}, {}, {})
